cURL
curl --request POST \ --url https://api.smartlyq.com/v1/media/upload-url \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "filename": "<string>", "content_type": "<string>" } '
{ "success": true, "data": { "upload_url": "<string>", "media_id": 123 }, "meta": { "request_id": "<string>", "timestamp": "2023-11-07T05:31:56Z" } }
Documentation IndexFetch the complete documentation index at: https://docs.smartlyq.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.smartlyq.com/llms.txt
Use this file to discover all available pages before exploring further.
API key from Developer dashboard (Bearer token).
Name of the file to upload
MIME type (e.g. image/png, video/mp4)
Presigned URL for upload
true
Show child attributes